% =========================================================================
%                         REC_v3                                    
% 
% This matlab program tries to calculate consumption and
% production rates from measured nutrient concentration profile
% on the basis of a Tikhonov regularization.
%
% This program comes with a graphical user interface (GUI).
%
% I hope it is free of fundamental errors.
% If not, please inform me: lettmann@icbm.de / k.lettmann@gmx.de
% =========================================================================

function main

clear all;
clc;

% ========= global parameters =============================================
global z_c R_out setup_name_short
% =========================================================================



% ========= putting some routines to the Matlab search path ===============
current_dir = pwd;
if isunix == 1
    % We are working on a Unix/Linux or Macintosh system
    dir_routines = [current_dir,'/','routines_special'];
else
    % We are working on a Windows system
    dir_routines = [current_dir,'\','routines_special'];
end
addpath(dir_routines);
% =========================================================================


% ======== Start the program =============================================
erfc_v2;


return


